Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.rules
Class AbleSwitchStatement.CaseListElement_

    java.lang.Object
      com.ibm.able.rules.AbleSwitchStatement.CaseListElement_

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  AbleSwitchStatement

public final class AbleSwitchStatement.CaseListElement_
extends java.lang.Object
implements java.io.Serializable

This class is used to store information about each 'case' as it is defined. The class contains information about a case's label and the calculated code offset; that is, the place to jump to in the code table in order to begin executing the case's associated code.

See Also:
  Serialized Form

Constructor Summary
`AbleSwitchStatement.CaseListElement_(AbleSwitchStatement.CaseListElement_ theCaseListElement)`
`AbleSwitchStatement.CaseListElement_(java.lang.Integer theCaseLabelKey, AbleRd theCaseLabel, int theCodeOffset)`

Method Summary
`AbleRd` | `getCaseLabel()`
`java.lang.Integer` | `getCaseLabelKey()`
`int` | `getCodeOffset()`
`java.lang.String` | `prettyPrint()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbleSwitchStatement.CaseListElement_

    public AbleSwitchStatement.CaseListElement_(java.lang.Integer theCaseLabelKey,
                                                AbleRd theCaseLabel,
                                                int theCodeOffset)

### AbleSwitchStatement.CaseListElement_

    public AbleSwitchStatement.CaseListElement_(AbleSwitchStatement.CaseListElement_ theCaseListElement)

Method Detail

### getCaseLabelKey

    public java.lang.Integer getCaseLabelKey()

### getCaseLabel

    public AbleRd getCaseLabel()

### getCodeOffset

    public int getCodeOffset()

### prettyPrint

    public java.lang.String prettyPrint()

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005